io.vertx.ext.web

## Interface Cookie

-     public interface Cookie

  Represents an HTTP Cookie.

  All cookies must have a name and a value and can optionally have other fields set such as path, domain, etc.

  (Derived from io.netty.handler.codec.http.Cookie)

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cookie` | `cookie(io.netty.handler.codec.http.cookie.Cookie nettyCookie)` Create a new cookie from a Netty cookie
    `static Cookie` | `cookie(String name, String value)` Create a new cookie
    `String` | `encode()` Encode the cookie to a string.
    `String` | `getDomain()`
    `String` | `getName()`
    `String` | `getPath()`
    `String` | `getValue()`
    `boolean` | `isChanged()` Has the cookie been changed? Changed cookies will be saved out in the response and sent to the browser.
    `boolean` | `isFromUserAgent()` Has this Cookie been sent from the User Agent (the browser)? or was created during the executing on the request.
    `void` | `setChanged(boolean changed)` Set the cookie as being changed.
    `Cookie` | `setDomain(String domain)` Sets the domain of this cookie
    `Cookie` | `setHttpOnly(boolean httpOnly)` Determines if this cookie is HTTP only.
    `Cookie` | `setMaxAge(long maxAge)` Sets the maximum age of this cookie in seconds.
    `Cookie` | `setPath(String path)` Sets the path of this cookie.
    `Cookie` | `setSecure(boolean secure)` Sets the security getStatus of this cookie
    `Cookie` | `setValue(String value)` Sets the value of this cookie

- - ### Method Detail

    - #### cookie

          static Cookie cookie(String name,
                               String value)

      Create a new cookie
      Parameters:
        `name` - the name of the cookie
        `value` - the cookie value
      Returns:
        the cookie

    - #### cookie

          static Cookie cookie(io.netty.handler.codec.http.cookie.Cookie nettyCookie)

      Create a new cookie from a Netty cookie
      Parameters:
        `nettyCookie` - the Netty cookie
      Returns:
        the cookie

    - #### getName

          String getName()

      Returns:
        the name of this cookie

    - #### getValue

          String getValue()

      Returns:
        the value of this cookie

    - #### setValue

          Cookie setValue(String value)

      Sets the value of this cookie
      Parameters:
        `value` - The value to set
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDomain

          Cookie setDomain(String domain)

      Sets the domain of this cookie
      Parameters:
        `domain` - The domain to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### getDomain

          String getDomain()

      Returns:
        the domain for the cookie

    - #### setPath

          Cookie setPath(String path)

      Sets the path of this cookie.
      Parameters:
        `path` - The path to use for this cookie
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPath

          String getPath()

      Returns:
        the path for this cookie

    - #### setMaxAge

          Cookie setMaxAge(long maxAge)

      Sets the maximum age of this cookie in seconds. If an age of `0` is specified, this cookie will be automatically removed by browser because it will expire immediately. If `Long.MIN_VALUE` is specified, this cookie will be removed when the browser is closed. If you don't set this the cookie will be a session cookie and be removed when the browser is closed.
      Parameters:
        `maxAge` - The maximum age of this cookie in seconds

    - #### setSecure

          Cookie setSecure(boolean secure)

      Sets the security getStatus of this cookie
      Parameters:
        `secure` - True if this cookie is to be secure, otherwise false
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttpOnly

          Cookie setHttpOnly(boolean httpOnly)

      Determines if this cookie is HTTP only. If set to true, this cookie cannot be accessed by a client side script. However, this works only if the browser supports it. For for information, please look here.
      Parameters:
        `httpOnly` - True if the cookie is HTTP only, otherwise false.

    - #### encode

          String encode()

      Encode the cookie to a string. This is what is used in the Set-Cookie header
      Returns:
        the encoded cookie

    - #### isChanged

          boolean isChanged()

      Has the cookie been changed? Changed cookies will be saved out in the response and sent to the browser.
      Returns:
        true if changed

    - #### setChanged

          void setChanged(boolean changed)

      Set the cookie as being changed. Changed will be true for a cookie just created, false by default if just read from the request
      Parameters:
        `changed` - true if changed

    - #### isFromUserAgent

          boolean isFromUserAgent()

      Has this Cookie been sent from the User Agent (the browser)? or was created during the executing on the request.
      Returns:
        true if the cookie comes from the User Agent.

Copyright © 2018 Eclipse. All rights reserved.